#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-notes
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        Akonadi Notes Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Solid)

BuildRequires:  boost-devel

%description
Akonadi Notes Integration.

#--------------------------------------------------------------------

%define kf5akonadinotes_major 5
%define libkf5akonadinotes %mklibname kf5akonadinotes %{kf5akonadinotes_major}

%package -n %{libkf5akonadinotes}
Summary:      Akonadi Notes Integration main library
Group:        System/Libraries

%description -n %{libkf5akonadinotes}
Akonadi Notes Integration main library.

%files -n %{libkf5akonadinotes}
%_kf5_libdir/libKF5AkonadiNotes.so.%{kf5akonadinotes_major}{,.*}

#--------------------------------------------------------------------

%define kf5akonadinotes_devel %mklibname kf5akonadinotes -d

%package -n %{kf5akonadinotes_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkf5akonadinotes} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadinotes_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadinotes_devel}
%_kf5_includedir/Akonadi/Notes/
%_kf5_includedir/akonadi/notes/
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiNotes/
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089984
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076719
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071937
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067254
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061313
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051947
- New version 16.08.1

* Wed Sep 07 2016 neoclust <neoclust> 16.08.0-2.mga6
+ Revision: 1050314
- Submit to release

* Mon Aug 22 2016 daviddavid <daviddavid> 16.08.0-1.mga6
+ Revision: 1047825
- imported package akonadi-notes

